### DB_MPOOLFILE->close

`

###

    #include <db.h>

    int
    DB_MPOOLFILE->close(DB_MPOOLFILE *mpf, u_int32_t flags);

### Description: DB_MPOOLFILE->close

The DB_MPOOLFILE->close method closes the source file indicated by the DB_MPOOLFILE structure. Calling DB_MPOOLFILE->close does not imply a call to DB_MPOOLFILE->sync; that is, no pages are written to the source file as as a result of calling DB_MPOOLFILE->close.

If the DB_MPOOLFILE was temporary, any underlying files created for this DB_MPOOLFILE will be removed.

After DB_MPOOLFILE->close has been called, regardless of its return, the DB_MPOOLFILE handle may not be accessed again.

The DB_MPOOLFILE->close method returns a non-zero error value on failure and 0 on success.

### Parameters

flags
  The flags parameter is currently unused, and must be set to 0.

### Class

DB_ENV, DB_MPOOLFILE

### See Also

Memory Pools and Related Methods`

Copyright (c) 1996,2007 Oracle. All rights reserved.